=== library/CMakeLists.txt ===
add_library(polarssl STATIC
     aes.c
     arc4.c
     base64.c
     bignum.c
     camellia.c
     certs.c
     debug.c
     des.c
     dhm.c
     havege.c
     md2.c
     md4.c
     md5.c
     net.c
     padlock.c
     rsa.c
     sha1.c
     sha2.c
     sha4.c
     ssl_cli.c 
     ssl_srv.c 
     ssl_tls.c
     timing.c
     x509parse.c
     xtea.c
)
