=== programs/aes/CMakeLists.txt ===
add_executable(aescrypt2 aescrypt2.c)
target_link_libraries(aescrypt2 polarssl)
