=== programs/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 add_subdirectory(pkey)
 add_subdirectory(ssl)
 add_subdirectory(test)
+add_subdirectory(x509)
