=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 function(add_test_suite suite_name)
     add_custom_command(
         OUTPUT test_suite_${suite_name}.c
-        COMMAND scripts/generate_code.pl suites test_suite_${suite_name}
-        DEPENDS scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${suite_name}.data
-)
-
+        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl ${CMAKE_CURRENT_SOURCE_DIR}/suites test_suite_${suite_name}
+        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${suite_name}.data
+    )
+  
+    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
     add_executable(test_suite_${suite_name} test_suite_${suite_name}.c)
     target_link_libraries(test_suite_${suite_name} polarssl)
     add_test(${suite_name}-suite test_suite_${suite_name})
@@ -25,3 +26,5 @@
 add_test_suite(xtea)
 add_test_suite(dhm)
 add_test_suite(x509parse)
+add_test_suite(debug)
+add_test_suite(version)
