=== programs/x509/CMakeLists.txt ===
add_executable(cert_app cert_app.c)
target_link_libraries(cert_app polarssl)
