=== debian/changelog ===
polarssl (0.14.3-1) unstable; urgency=low

  * New upstream release (Closes: #616114)
  * New maintainer (Closes: #615247)
  * Fixed debian/watch, thanks to Mats Erik Andersson (Closes: #620983)
  * debian/control: Standards-Version: 3.9.2
  * Source format: 3.0 (quilt)
  * Included binaries in libpolarssl-runtime
  * Included shared library in libpolarssl0
  * Added testsuite build/run to build process

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Jul 2011 10:28:54 +0200

polarssl (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh --with quilt for sexyness.
  * Bump standards-version, no change needed.
  * Tighten up dh build depend version.
  * Add debian/README.source.
  * Update watch file.
  * Refresh patches.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 07 Nov 2009 22:38:20 +0000

polarssl (0.11.1-1) unstable; urgency=low

  * Fork xyssl package to polarssl to reflect upstream fork/takeover (Closes:
    #536697).
  * Refresh patches.
  * Switch to DH 7.
  * Bump Standards-Version, no change needed.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 16 Jul 2009 14:34:32 +0200

xyssl (0.9-2) unstable; urgency=low

  * Include md2 and md4 hashes algorithms (Closes: #496328).

 -- Arnaud Cornet <acornet@debian.org>  Mon, 25 Aug 2008 18:28:22 +0200

xyssl (0.9-1) unstable; urgency=low

  * Add Homepage header.
  * Fix watch file to match tarball name change (Closes: #453609).
  * New Upstream Version
  * Move libxyssl-dev to libdevel section.
  * Move standards-version to 3.7.3 (no change).
  * Licence change from LGPL to GPL, fix debian/copyright.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 22 Oct 2007 23:35:33 +0200

xyssl (0.8-1) unstable; urgency=low

  * New Upstream Version
  * Drop makefile-install.patch.
  * Update my mail address.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 22 Oct 2007 23:22:53 +0200

xyssl (0.7-1) unstable; urgency=low

  * New Upstream Version.
  * Switch to quilt patch system.
  * Dropped old makefile fix. Made new makefile fix in makefile-install.patch.
  * Updated examples list.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 08 Jul 2007 17:59:16 +0200

xyssl (0.6-1) unstable; urgency=low

  * New upstream release
  * Make watchfile stricter.
  * makefile.patch: Fix completly wrong Makefile.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 08 Apr 2007 11:39:33 +0200

xyssl (0.3-1) unstable; urgency=low

  * New upstream release.
  * No need for a dfsg anymore (files removed upstream).
  * Now build/works on all archs (Closes:#402467).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon,  1 Jan 2007 15:22:48 +0100

xyssl (0.2.dfsg.1-1) unstable; urgency=low

  * New upstream release
  * New architectures supported: arm and mips.
  * Removed files that had an unclear copyright and licence from source
    tarball (hence the dfsg in version).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Fri,  8 Dec 2006 00:08:22 +0100

xyssl (0.1-1) unstable; urgency=low

  * Initial release. (Closes:#396927)

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Thu, 02 Nov 2006 19:36:08 +0100
