=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C library SHARED=1 shared
	mv library/libpolarssl.so.0 library/SOBACKUP
	$(MAKE) clean
	mv library/SOBACKUP library/libpolarssl.so.0
	$(MAKE) all
	$(MAKE) check

#override_dh_installexamples:
#	dh_installexamples -XCMakeLists.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -f tests/data_files/mpi_write
