## polarssl 1.0.0

=== debian/changelog ===
polarssl (1.0.0-3) unstable; urgency=low

  * Added patch to fix testsuite hangs on s390x and sparc64, thanks
    to Aurelien Jarno (Closes: #650045)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 19:36:02 +0100

polarssl (1.0.0-2) unstable; urgency=low

  * Fixed bad SO file link in libpolarssl-dev

 -- Roland Stigge <stigge@antcom.de>  Sun, 13 Nov 2011 13:54:08 +0100

polarssl (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 11 Aug 2011 23:10:01 +0200
