=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 	$(MAKE) all
 	$(MAKE) check
 
-#override_dh_installexamples:
-#	dh_installexamples -XCMakeLists.txt
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f tests/data_files/mpi_write
