## polarssl 1.1.0

=== debian/changelog ===
polarssl (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Removed the following patches (fixed upstream now):
    - 04-fix-type-rename.patch
    - 05-fix-testsuite-hangs.patch

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Dec 2011 18:11:18 +0100
