## polarssl 1.1.1

=== debian/changelog ===
polarssl (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 24 Jan 2012 00:19:31 +0100
