## polarssl 1.1.4

=== debian/changelog ===
polarssl (1.1.4-2) unstable; urgency=high

  * Security fix for CVE-2013-0169: Lucky 13 TLS protocol timing flaw
    including CVE-2013-1621 and CVE-2013-1622, backported from upstream
    diff from 1.2.4 to 1.2.5. (Closes: #699887)

 -- Roland Stigge <stigge@antcom.de>  Thu, 07 Feb 2013 22:08:26 +0100

polarssl (1.1.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 02 Jun 2012 12:46:22 +0200

polarssl (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 01 May 2012 16:59:47 +0200

polarssl (1.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 28 Apr 2012 12:46:20 +0200
