=== debian/changelog ===
polarssl (1.2.8-2) unstable; urgency=low

  * Activate HAVEGE config option manually, needed since 1.2.8

 -- Roland Stigge <stigge@antcom.de>  Sun, 23 Jun 2013 11:11:31 +0200

polarssl (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 22 Jun 2013 14:18:26 +0200

polarssl (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 05 May 2013 14:05:39 +0200

polarssl (1.2.6-1) experimental; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Tue, 12 Mar 2013 20:37:01 +0100

polarssl (1.2.5-1) experimental; urgency=low

  * New upstream release (Closes: #699887)
  * Fixes CVE-2013-0169: Lucky 13 TLS protocol timing flaw
    (Including CVE-2013-1621 and CVE-2013-1622)

 -- Roland Stigge <stigge@antcom.de>  Wed, 06 Feb 2013 21:13:35 +0100

polarssl (1.2.4-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jan 2013 14:56:16 +0100

polarssl (1.2.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 01 Dec 2012 11:07:42 +0100

polarssl (1.2.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Nov 2012 11:22:55 +0100

polarssl (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depends: debhelper (>= 9) (debian/compat also)

 -- Roland Stigge <stigge@antcom.de>  Sat, 03 Nov 2012 14:41:30 +0100
