=== library/CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,7 @@
 else(NOT USE_SHARED_POLARSSL_LIBRARY)
 
 add_library(polarssl SHARED ${src})
-set_target_properties(polarssl PROPERTIES VERSION 1.2.8 SOVERSION 2)
+set_target_properties(polarssl PROPERTIES VERSION 1.2.9 SOVERSION 3)
 
 endif(NOT USE_SHARED_POLARSSL_LIBRARY)
