=== debian/changelog ===
polarssl (1.2.9-1~deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2015-5291: Remote attack on clients using session tickets or SNI

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2016 15:47:29 +0100

polarssl (1.2.9-1~deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-1182.patch patch.
    CVE-2015-1182: Denial of service and possible remote code execution
    using crafted certificates. (Closes: #775776)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 Jan 2015 20:58:06 +0100

polarssl (1.2.9-1~deb7u4) wheezy-security; urgency=low

  * CVE-2014-8628

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 29 Dec 2014 23:55:56 +0000

polarssl (1.2.9-1~deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-4911.patch patch.
    CVE-2014-4911: Fix Denial of Service against GCM enabled servers (and
    clients). (Closes: #754655)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 Jul 2014 06:39:38 +0200

polarssl (1.2.9-1~deb7u2) stable-proposed-updates; urgency=medium

  * Fix FTBFS bug due to expired certificates, backport from upstream 1.3.4,
    thanks to Moritz Mühlenhoff (Closes: #738854)

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Feb 2014 12:14:50 +0100

polarssl (1.2.9-1~deb7u1) stable-security; urgency=low

  * New upstream release
    - Fixes CVE-2013-5914 CVE-2013-5915 (Closes: #725359)

 -- Roland Stigge <stigge@antcom.de>  Wed, 16 Oct 2013 20:04:47 +0200
