=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
 Homepage: http://polarssl.org
 
 Package: libpolarssl-dev
