=== debian/tests/control ===
Tests: smoke
Depends: libpolarssl-runtime

Tests: build-test
Depends: libpolarssl-dev
